use clap::{Parser, Subcommand};

mod settings;

#[derive(Parser)]
#[command(author, version, about, long_about = None)]
struct Cli {
    #[clap(subcommand)]
    command: Commands,
}

#[derive(Subcommand)]
enum Commands {
    /// 🚀 Publish to IPFS
    Publish {},
}

fn main() {
    let cfg = settings::Settings::new();
    println!("Config parsed: {:?}", cfg);

    let cli = Cli::parse();

    match &cli.command {
        Commands::Publish {} => {
            todo!("publish command");
        }
    }
}
